Debian Bug report logs - #691811
ITP: spacefm -- multi-panel tabbed customizable file manager for Linux.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vladimir K <pzs-fs@yandex.ru>

Date: Tue, 30 Oct 2012 04:12:01 UTC

Owned by: Mateusz Łukasik <mati75@linuxmint.pl>

Severity: wishlist

Fixed in version spacefm/0.8.7-1

Done: Mateusz Łukasik <mati75@linuxmint.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691811; Package wnpp. (Tue, 30 Oct 2012 04:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir K <pzs-fs@yandex.ru>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org.

Your message had a Version: pseudo-header with an invalid package version:

N/A; reported 2012-10-30

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Tue, 30 Oct 2012 04:12:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vladimir K <pzs-fs@yandex.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: spacefm -- multi-panel tabbed customizable file manager for Linux.
Date: Tue, 30 Oct 2012 08:09:43 +0400
Package: wnpp
Version: N/A; reported 2012-10-30
Severity: wishlist

* Package name : spacefm
Version : 0.8.2
Upstream Author : IgnorantGuru <ignorantguru@gmx.com>
* URL : https://github.com/IgnorantGuru/spacefm/tarball/master
* License : GPLv3+
Description : SpaceFM is a multi-panel tabbed file manager for Linux with built-in VFS, udev-based device manager, customizable menu system, and bash integration.

Highlights:
   - Lightweight - Written in C with GTK2 stability, inotify kernel and libudev support
   - Responsive - Built-in vfs runs fast with low resource usage (no gvfs, etc)
   - Flexible - Can appear very simple or very complex depending on configuration
   - Multiple Windows - A single instance opens multiple windows
   - Multiple Panels - Each window contains up to four independently configured and interactive browser panels plus a task manager pane
   - Tabbed - Each browser panel supports multiple folder tabs
   - Side Panes - Any browser panel can show Devices, Bookmarks, and Directory Tree side panes
   - Desktop Manager - Includes a built-in, lightweight DM mode with custom commands - works great with Openbox
   - Device Manager - Built-in udev support for manual and automatic device management, plus easily format, backup and restore partitions and MBRs
   - Conveniently mount network URLs (nfs:// ftp:// smb:// ssh://) and ISO files (requires udevil)
   - Task Manager - Control or eliminate popup dialogs with multi-tasking abilities - no waiting to move on to your next task
   - MIME - Manages MIME file types and default actions
   - Custom Menus and Toolbars - Its unique Design Mode allows you to quickly change any menu or toolbar item name, shortcut key, or icon, and insert your own commands or submenus anywhere
   - SpaceFM Dialog - easily create, use, and control custom dialogs
   - Plugins - Install, copy, and export custom commands as plugins
   - Bash Integration - Built-in bash scripting support for custom commands, with file manager data exported as bash variables
   - Output Control - Monitor the stdout/stderr output of built-in and custom commands, with error detection and popup control, or run commands in a terminal
   - Fonts & Icons - Easily configure custom fonts and icons in each panel or pane for a unique look
   - Styles - Show files as icons or in lists with selectable columns
   - Find-As-You-Type - File list allows you to quickly locate a file with a case-insensitive substring search of filenames - just type a few letters
   - File Search - Flexibly search for file names, sizes, content, etc. with no daemons
   - System Management - Safely perform quick commands as root or run a root instance
   - File Management - Extensive move, copy, link, drag-n-drop, and clipboard control
   - Archives - Single-click, in-program archive creation and extraction, or use external apps
   - Daemon Mode - Run in the background to automount devices and autorun apps, and quickly open browser windows
   - Alternate Builds - deprecated support for hal (replaces udev) and fam/gamin (replaces inotify) 

It is recommended to use SpaceFM with udevil (http://ignorantguru.github.com/udevil/) to utilize flexible local and network mount features.

Homepage: http://ignorantguru.github.com/spacefm/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691811; Package wnpp. (Tue, 30 Oct 2012 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Omega Weapon <omegaphil@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 30 Oct 2012 19:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 691811@bugs.debian.org (full text, mbox):

From: Omega Weapon <omegaphil@gmail.com>
To: 691811@bugs.debian.org
Subject: Re: RFP: spacefm -- multi-panel tabbed customizable file manager for Linux
Date: Tue, 30 Oct 2012 19:49:45 +0000
I have used pcmanfm-mod and then SpaceFM as my primary file manager for 
a few years now, I would also appreciate this.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691811; Package wnpp. (Tue, 30 Oct 2012 23:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Acar Burak" <acarbura@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 30 Oct 2012 23:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 691811@bugs.debian.org (full text, mbox):

From: "Acar Burak" <acarbura@gmail.com>
To: 691811@bugs.debian.org
Subject: SpaceFm
Date: Wed, 31 Oct 2012 00:55:56 +0200
+5 for SpaceFM.

-- 
AB



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691811; Package wnpp. (Thu, 01 Nov 2012 05:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Gava <elguavas@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 01 Nov 2012 05:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 691811@bugs.debian.org (full text, mbox):

From: Stephen Gava <elguavas@gmail.com>
To: 691811@bugs.debian.org
Subject: re: RFP: spacefm -- multi-panel tabbed customizable file manager for Linux.
Date: Thu, 01 Nov 2012 16:02:56 +1100
yes please package this great and useful program. +10



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691811; Package wnpp. (Thu, 14 Feb 2013 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Dias <lucasdias@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 14 Feb 2013 02:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 691811@bugs.debian.org (full text, mbox):

From: Lucas Dias <lucasdias@gmail.com>
To: 691811@bugs.debian.org
Date: Wed, 13 Feb 2013 23:48:24 -0300
[Message part 1 (text/plain, inline)]
yes please package this great and useful program
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: spacefm -- multi-panel tabbed customizable file manager for Linux.' from 'RFP: spacefm -- multi-panel tabbed customizable file manager for Linux.' Request was from Simó Albert i Beltran <sim6@probeta.net> to control@bugs.debian.org. (Thu, 21 Feb 2013 00:06:04 GMT) Full text and rfc822 format available.

Owner recorded as Mateusz Łukasik <mati75@linuxmint.pl>. Request was from Simó Albert i Beltran <sim6@probeta.net> to control@bugs.debian.org. (Thu, 21 Feb 2013 00:06:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 691811: 701010 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Thu, 21 Feb 2013 04:24:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>:
Bug#691811; Package wnpp. (Sun, 10 Mar 2013 20:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to NN_ <tuxboom@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>. (Sun, 10 Mar 2013 20:57:09 GMT) Full text and rfc822 format available.

Message #36 received at 691811@bugs.debian.org (full text, mbox):

From: NN_ <tuxboom@gmail.com>
To: 691811@bugs.debian.org
Subject: RFP: spacefm -- multi-panel tabbed customizable file manager for Linux.
Date: Sun, 10 Mar 2013 21:53:42 +0100
I worked with pcmanfm-mod long time and switched to spacefm nearly since it's first release.
spacefm is amazing! It's not only a file manager but a full customizable shell with user defined dialogs, commands, shell scripts and any app one want to run on something.
spacefm is very stable and so please package this Must-Have file manager.
-- 
NN_ <tuxboom@gmail.com>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691811; Package wnpp. (Sun, 10 Mar 2013 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mateusz Łukasik <mati75@linuxmint.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 10 Mar 2013 21:24:03 GMT) Full text and rfc822 format available.

Message #41 received at 691811@bugs.debian.org (full text, mbox):

From: Mateusz Łukasik <mati75@linuxmint.pl>
To: NN_ <tuxboom@gmail.com>, 691811@bugs.debian.org
Subject: Re: Bug#691811: RFP: spacefm -- multi-panel tabbed customizable file manager for Linux.
Date: Sun, 10 Mar 2013 21:59:14 +0100
W dniu 10.03.2013 o 21:53 NN_ <tuxboom@gmail.com> pisze:

>
> I worked with pcmanfm-mod long time and switched to spacefm nearly since  
> it's first release.
> spacefm is amazing! It's not only a file manager but a full customizable  
> shell with user defined dialogs, commands, shell scripts and any app one  
> want to run on something.
> spacefm is very stable and so please package this Must-Have file manager.

Hello,
I think in next two weeks spacefm will be uploading to unstable Debian's  
repository.

Take care!



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>:
Bug#691811; Package wnpp. (Thu, 14 Mar 2013 20:51:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to xx <juliocesar2k7@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>. (Thu, 14 Mar 2013 20:51:14 GMT) Full text and rfc822 format available.

Message #46 received at 691811@bugs.debian.org (full text, mbox):

From: xx <juliocesar2k7@gmail.com>
To: 691811@bugs.debian.org
Date: Thu, 14 Mar 2013 21:48:48 +0100
[Message part 1 (text/plain, inline)]
I would like to see SpaceFM in Debian repository.

Many thanks.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>:
Bug#691811; Package wnpp. (Mon, 18 Mar 2013 16:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Christophe <jccesttropcourt@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>. (Mon, 18 Mar 2013 16:48:04 GMT) Full text and rfc822 format available.

Message #51 received at 691811@bugs.debian.org (full text, mbox):

From: Jean-Christophe <jccesttropcourt@free.fr>
To: 691811@bugs.debian.org
Subject: ITP: spacefm -- multi-panel tabbed customizable file manager for Linux.
Date: Mon, 18 Mar 2013 17:47:18 +0100
Me too



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 24 Jun 2013 20:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>:
Bug#691811; Package wnpp. (Mon, 08 Jul 2013 17:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Chadwick <ma1l1ists@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>. (Mon, 08 Jul 2013 17:06:04 GMT) Full text and rfc822 format available.

Message #58 received at 691811@bugs.debian.org (full text, mbox):

From: Kevin Chadwick <ma1l1ists@yahoo.co.uk>
To: 691811@bugs.debian.org
Subject: How can such an awesome package take so long to get in
Date: Mon, 8 Jul 2013 19:01:15 +0100
How can such an awesome package take so long to get in especially when
things like udisks do so so easily especially when they are inflexibile
crap.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>:
Bug#691811; Package wnpp. (Mon, 08 Jul 2013 17:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Chadwick <ma1l1ists@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>. (Mon, 08 Jul 2013 17:06:07 GMT) Full text and rfc822 format available.

Message #63 received at 691811@bugs.debian.org (full text, mbox):

From: Kevin Chadwick <ma1l1ists@yahoo.co.uk>
To: 691811@bugs.debian.org
Subject: How can such an awesome package take so long to get in
Date: Mon, 8 Jul 2013 19:02:17 +0100
Me too



Reply sent to Mateusz Łukasik <mati75@linuxmint.pl>:
You have taken responsibility. (Sat, 07 Sep 2013 22:45:18 GMT) Full text and rfc822 format available.

Notification sent to Vladimir K <pzs-fs@yandex.ru>:
Bug acknowledged by developer. (Sat, 07 Sep 2013 22:45:18 GMT) Full text and rfc822 format available.

Message #68 received at 691811-close@bugs.debian.org (full text, mbox):

From: Mateusz Łukasik <mati75@linuxmint.pl>
To: 691811-close@bugs.debian.org
Subject: Bug#691811: fixed in spacefm 0.8.7-1
Date: Sat, 07 Sep 2013 22:42:18 +0000
Source: spacefm
Source-Version: 0.8.7-1

We believe that the bug you reported is fixed in the latest version of
spacefm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691811@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mateusz Łukasik <mati75@linuxmint.pl> (supplier of updated spacefm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 30 Aug 2013 22:12:18 +0200
Source: spacefm
Binary: spacefm spacefm-common spacefm-gtk3
Architecture: source amd64 all
Version: 0.8.7-1
Distribution: unstable
Urgency: low
Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Changed-By: Mateusz Łukasik <mati75@linuxmint.pl>
Description: 
 spacefm    - Multi-panel tabbed file manager - GTK2 version
 spacefm-common - Multi-panel tabbed file manager - common files
 spacefm-gtk3 - Multi-panel tabbed file manager - GTK3 version
Closes: 691811
Changes: 
 spacefm (0.8.7-1) unstable; urgency=low
 .
   * Initial release. (Closes: #691811)
Checksums-Sha1: 
 7e05118658c6cdc9f0e5b9240bd8dcd83f15a542 2149 spacefm_0.8.7-1.dsc
 c35267afd8f7651dd62a16d234b1df57ece34c89 1155968 spacefm_0.8.7.orig.tar.xz
 803c0066eefb1fe2ac44bc783acccafb5717aac5 5044 spacefm_0.8.7-1.debian.tar.xz
 2411928bb21c85f14a21b3caa07a488a2b98beb4 449626 spacefm_0.8.7-1_amd64.deb
 3e153654b12c6b3de53a1a4662c0697d0a9a44ba 410504 spacefm-common_0.8.7-1_all.deb
 7f9dbeafa8fb2a44568d96bad4812e973414081f 444544 spacefm-gtk3_0.8.7-1_amd64.deb
Checksums-Sha256: 
 8df8d23277ac6ac0ba69748f41cf7d7f7e9cd93bf739cfca046e6a2f75d31fee 2149 spacefm_0.8.7-1.dsc
 3e48f276df4505b69d24fbeb4b5a869cf316503e2395bef467a29a5207b23947 1155968 spacefm_0.8.7.orig.tar.xz
 394e0183655399157099e5c8fb21c8dc0daac890bc8826aa5ca2f8fa13339bba 5044 spacefm_0.8.7-1.debian.tar.xz
 f623ec4a5c0585cb43fd7b0a9c00475d684a19db37a4e641efba02c0a8f184c2 449626 spacefm_0.8.7-1_amd64.deb
 77f4938b1858ccef66fd69afcfa105c8d5facfbd21d132d0b5edaee5b8911837 410504 spacefm-common_0.8.7-1_all.deb
 eaaa306380c2e1277eadd4f90213eb374011796fe3e94796b5a762037a7c967a 444544 spacefm-gtk3_0.8.7-1_amd64.deb
Files: 
 3a9d2956b637230069c0ddd58b6e2995 2149 utils optional spacefm_0.8.7-1.dsc
 f62d4fea3c52969d2591ccca89d1ebe6 1155968 utils optional spacefm_0.8.7.orig.tar.xz
 b4c50f23c8210cd429db9e5aa07f047d 5044 utils optional spacefm_0.8.7-1.debian.tar.xz
 c0b7e9c28723f6dd92de3b978a1b617e 449626 utils optional spacefm_0.8.7-1_amd64.deb
 5c0b73dce973ae09441f9c97153e89bd 410504 utils optional spacefm-common_0.8.7-1_all.deb
 fbc05d3e37f604433007726f03b771aa 444544 utils optional spacefm-gtk3_0.8.7-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSJ3AkAAoJEHQmOzf1tfkTKd0QAKNF2dmVN61E89Mk0I9eaBTA
yHPOzirMRZpn/JD8NtYYyJdnC3JDJd9p24ZSkeZwaRFVxupI8U7bUVDDsKBhiibI
KhW4rgBe7K1x09esmmkFrv7s05q8LcaMeJtNYQ8aBL22BXQDDzDlFJug0rFuFsjN
QaKEOwXy/cmDOpLLBpxpeZCZ53Wy3UtvLbX+fFkAVSmoMitIF4G35bB3/Sqzrs1u
ImnTANIXgy4hKmoSmqu2waaVdD2pIDIrzKTn5GTFfj1iCzqlHjC2D8ljSmTWNHmK
hwhSKmMLHvLO/AHpOSJgDcK3Hz0z+YyLooini3k2HMrckicV9pXa8V7DZ7FWxLVT
VGcuLpeBJZ7nnD6IetvSGzjj+6Iv0fTwh4z5gTRnbn0ueMvmul5ayZ6kS2f/PBMt
MAlECg2y+DCPr5bY+AhjsuPrNyU5gFyHw+uvDHtbEs54sOyLaZXz0TYd3OZdDcKr
8EncSjmJm4UQsH60yIS0+DOLHMrfZji6PPBYMt8n9AHKL5zwd/rDkzFFsT6q3tUV
PSbmpx6tK/qEi3fZlAhl41gfqLPvyNRgIGvRhxjXVWMZGPlQC4GuDG/q9qL7Rjxa
asD8SK7Tl+Z4Dsp3tN+sUx0xQJDsWcdgVfbHxmivUK9h83wxnXpZU5QQXu8E3w7o
z6V2QnZvJRltwHZq3izO
=T7oL
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>:
Bug#691811; Package wnpp. (Wed, 25 Sep 2013 18:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to riveravaldez@hushmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mateusz Łukasik <mati75@linuxmint.pl>. (Wed, 25 Sep 2013 18:48:04 GMT) Full text and rfc822 format available.

Message #73 received at 691811@bugs.debian.org (full text, mbox):

From: riveravaldez@hushmail.com
To: 691811@bugs.debian.org
Subject: Surprised that is not available, !
Date: Wed, 25 Sep 2013 15:08:11 -0300
[Message part 1 (text/plain, inline)]
Great tool. Please package it. :)
[Message part 2 (text/html, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Oct 2013 07:26:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:46:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.